package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.Map;

/**
 * @Description 退款单行创建DTO
 * @Author: ph
 * @Date: 2019/11/5 14:37
 */
public class RefundItemCreateDTO {

    /**
     * 订单商品id
     */
    private Long orderItemId;

    /**
     * 退款数量
     */
    private Integer refundNum;

    /**
     * 退款金额
     */
    private Integer refundAmount;

    /**
     * 扩展信息
     */
    private Map<String, Object> extraMap;

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Integer getRefundNum() {
        return refundNum;
    }

    public void setRefundNum(Integer refundNum) {
        this.refundNum = refundNum;
    }

    public Integer getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Integer refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
